This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 165705

Summary: xen service scripts do not restore network settings on stop
Product: [Fedora] Fedora Reporter: Jon Dowland <jon.dowland>
Component: xenAssignee: Rik van Riel <riel>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 4   
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-02-27 11:51:31 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 179599    
Attachments:
Description Flags
output of 'script' whilst performing the steps listed in the bug none

Description Jon Dowland 2005-08-11 09:54:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050517 Firefox/1.0.4 (Debian package 1.0.4-2)

Description of problem:
According to the Xen User's Manual; /etc/xen/scripts/network is called when xend is started or stopped and it should return the network state to normal when it is called as part of xend shutting down.

Version-Release number of selected component (if applicable):
xen.i386 2-20050522

How reproducible:
Always

Steps to Reproduce:
For each step, check ifconfig and route output immediately afterwards.

1. boot xen0 kernel
2. service xend start
3. service xend stop
  

Actual Results:  xen-br0 still exists, eth0 is still on it.

Expected Results:  xen-br0 should have been removed, eth0 detached from it, original network and routing config restored.

Additional info:
Comment 1 Jon Dowland 2005-08-11 09:56:48 EDT
Created attachment 117645 [details]
output of 'script' whilst performing the steps listed in the bug
Comment 4 Rik van Riel 2006-02-27 11:51:31 EST
Thinking about it some more, sometimes people have to restart xend while there
are guest domains running.  Taking down the network configuration on xend
shutdown means it might not get restored properly when xend is restarted,
resulting in a loss of network connectivity for some guests!

On the other hand, keeping the network setup intact on xend shutdown is a
harmless side effect.  Not pretty, but the alternatives are worse.

Certainly not something we should try to change this close to Fedora Core 5...
Comment 5 Jon Dowland 2006-03-31 05:53:59 EST
I agree that restarting the xend should be independent of tearing up or down a
network connection. I'd suggest therefore putting that stuff into a seperate
service script and making it idempotent.